## org.hibernate.event.def
Class ReattachVisitor

    java.lang.Object
      org.hibernate.event.def.AbstractVisitor
          org.hibernate.event.def.ProxyVisitor
              org.hibernate.event.def.ReattachVisitor

Direct Known Subclasses:
  OnLockVisitor, OnReplicateVisitor, OnUpdateVisitor

    public abstract class ReattachVisitor

extends ProxyVisitor

Abstract superclass of visitors that reattach collections.

Author:
  Gavin King

Constructor Summary
`ReattachVisitor(EventSource session, Serializable ownerIdentifier, Object owner)`

Method Summary

Methods inherited from class org.hibernate.event.def.ProxyVisitor
`isOwnerUnchanged, reattachCollection`

Methods inherited from class org.hibernate.event.def.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReattachVisitor

    public ReattachVisitor(EventSource session,
                           Serializable ownerIdentifier,
                           Object owner)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.